<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@drawable/shape_dialog_bg3"
    android:orientation="vertical">

    <androidx.appcompat.widget.LinearLayoutCompat
        android:layout_width="285dp"
        android:layout_height="wrap_content"
        android:orientation="vertical">

        <TextView
            android:id="@+id/content_tv"
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:layout_weight="1"
            android:gravity="center"
            android:text="添加监听"
            android:lineSpacingExtra="4dp"
            android:textColor="@color/black"
            android:textSize="16sp" />
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center_vertical"
            android:padding="12dp">

            <ImageView
                android:id="@+id/iv_icon"
                android:layout_width="40dp"
                android:layout_height="40dp"
                android:src="@mipmap/app_logo" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:layout_marginStart="12dp">

                <TextView
                    android:id="@+id/tv_appname"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textSize="16sp"
                    android:textColor="@color/black"
                    android:text="111111"
                    android:textStyle="bold" />

                <TextView
                    android:id="@+id/tv_package"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textSize="12sp"
                    android:text="2222222"
                    android:textColor="#888888" />

            </LinearLayout>
        </LinearLayout>

        <androidx.appcompat.widget.LinearLayoutCompat
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center_vertical"
            android:paddingStart="10dp"
            android:paddingEnd="10dp"
            android:orientation="vertical">

            <EditText
                android:id="@+id/tv_name"
                android:layout_width="match_parent"
                android:layout_height="35dp"
                android:textSize="12sp"
                android:text=""
                android:hint="请输入名称"
                android:paddingStart="10dp"
                android:paddingEnd="10dp"
                android:textColorHint="#333333"
                android:background="@drawable/pass_word_bg"
                android:textColor="@color/black" />

            <EditText
                android:id="@+id/tv_code"
                android:layout_width="match_parent"
                android:layout_height="35dp"
                android:textSize="12sp"
                android:layout_marginTop="10dp"
                android:background="@drawable/pass_word_bg"
                android:text=""
                android:hint="请输入Code"
                android:paddingStart="10dp"
                android:textColorHint="#333333"

                android:paddingEnd="10dp"
                android:inputType="number"
                android:textColor="@color/black" />

            <EditText
                android:id="@+id/tv_remark"
                android:layout_width="match_parent"
                android:layout_height="40dp"
                android:textSize="12sp"
                android:layout_marginTop="10dp"
                android:background="@drawable/pass_word_bg"
                android:hint="请输入备注"
                android:textColorHint="#333333"
                android:paddingStart="10dp"
                android:paddingEnd="10dp"
                android:text=""
                android:textColor="@color/black" />
        </androidx.appcompat.widget.LinearLayoutCompat>

        <View
            android:layout_width="match_parent"
            android:layout_height="0.5dp"
            android:layout_marginTop="10dp"
            android:background="#DDDDDD" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:layout_alignParentBottom="true"
            android:layout_gravity="center_horizontal"
            android:gravity="center_vertical"
            android:orientation="horizontal">

            <TextView
                android:id="@+id/cancel_tv"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:gravity="center"
                android:text="取消"
                android:textColor="@color/black"
                android:textSize="16sp" />

            <View
                android:id="@+id/line_v"
                android:layout_width="0.5dp"
                android:layout_height="50dp"
                android:background="#DDDDDD" />

            <TextView
                android:id="@+id/sumbit_tv"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:gravity="center"
                android:text="添加"
                android:textColor="@color/purple_500"
                android:textSize="16sp" />
        </LinearLayout>

    </androidx.appcompat.widget.LinearLayoutCompat>


</LinearLayout>